Visit API

get /intakes/{id}

Get intake data object

Base URL https://api.vseepreview.com/api_v3 · operationId getIntake

Authentication: User Token — Requires a user access token from login or SSO.

Retrieve a selected intake data object

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesIntake ID (e.g. 57a0705e-1c4c-4f24-b51d-3c71ac1f0144)

Responses

200 — Intake retrieved successfully

Intake with attachments — Retrieve intake with attachments

{
  "data": {
    "modified": 1471465080,
    "created": 1471465080,
    "type": "1",
    "reason_for_visit": "the reason",
    "attachments": [
      {
        "_id": "57b4c65d-7ef8-461f-8951-43b1ac1f0144",
        "name": "document.png",
        "path": "files/2016/08/17/57b4c65d-7ef8-461f-8951-43b1ac1f0144.png",
        "size": 12859,
        "ext": "png"
      }
    ],
    "id": "57b4c678-de20-4c1a-a52b-43e9ac1f0144"
  }
}

401 — Unauthorized

{
  "error": "Unauthorized",
  "message": "Invalid or missing API token"
}

Machine-readable: OpenAPI JSON (operationId: getIntake)